Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.ajp
Interface Ajp13Parser.EventHandler

Enclosing class:
  Ajp13Parser

    public static interface Ajp13Parser.EventHandler

Method Summary
`void` | `content(Buffer ref)`
`void` | `headerComplete()`
`void` | `messageComplete(long contextLength)`
`void` | `parsedAuthorizationType(Buffer authType)`
`void` | `parsedContextPath(Buffer context)`
`void` | `parsedHeader(Buffer name, Buffer value)`
`void` | `parsedMethod(Buffer method)`
`void` | `parsedProtocol(Buffer protocol)`
`void` | `parsedQueryString(Buffer value)`
`void` | `parsedRemoteAddr(Buffer addr)`
`void` | `parsedRemoteHost(Buffer host)`
`void` | `parsedRemoteUser(Buffer remoteUser)`
`void` | `parsedRequestAttribute(java.lang.String key, Buffer value)`
`void` | `parsedRequestAttribute(java.lang.String key, int value)`
`void` | `parsedServerName(Buffer name)`
`void` | `parsedServerPort(int port)`
`void` | `parsedServletPath(Buffer servletPath)`
`void` | `parsedSslCert(Buffer sslCert)`
`void` | `parsedSslCipher(Buffer sslCipher)`
`void` | `parsedSslKeySize(int keySize)`
`void` | `parsedSslSecure(boolean secure)`
`void` | `parsedSslSession(Buffer sslSession)`
`void` | `parsedUri(Buffer uri)`
`void` | `startForwardRequest()`

Method Detail

### content

    void content(Buffer ref)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### headerComplete

    void headerComplete()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### messageComplete

    void messageComplete(long contextLength)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### parsedHeader

    void parsedHeader(Buffer name,
                      Buffer value)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### parsedMethod

    void parsedMethod(Buffer method)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### parsedProtocol

    void parsedProtocol(Buffer protocol)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### parsedQueryString

    void parsedQueryString(Buffer value)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### parsedRemoteAddr

    void parsedRemoteAddr(Buffer addr)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### parsedRemoteHost

    void parsedRemoteHost(Buffer host)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### parsedRequestAttribute

    void parsedRequestAttribute(java.lang.String key,
                                Buffer value)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### parsedRequestAttribute

    void parsedRequestAttribute(java.lang.String key,
                                int value)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### parsedServerName

    void parsedServerName(Buffer name)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### parsedServerPort

    void parsedServerPort(int port)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### parsedSslSecure

    void parsedSslSecure(boolean secure)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### parsedUri

    void parsedUri(Buffer uri)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### startForwardRequest

    void startForwardRequest()
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### parsedAuthorizationType

    void parsedAuthorizationType(Buffer authType)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### parsedRemoteUser

    void parsedRemoteUser(Buffer remoteUser)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### parsedServletPath

    void parsedServletPath(Buffer servletPath)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### parsedContextPath

    void parsedContextPath(Buffer context)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### parsedSslCert

    void parsedSslCert(Buffer sslCert)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### parsedSslCipher

    void parsedSslCipher(Buffer sslCipher)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### parsedSslSession

    void parsedSslSession(Buffer sslSession)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### parsedSslKeySize

    void parsedSslKeySize(int keySize)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.